Bug 699289 - Providing native systemd file for upcoming F15 Feature Systemd
Summary: Providing native systemd file for upcoming F15 Feature Systemd
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: arm4 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Carter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: SysVtoSystemd
TreeView+ depends on / blocked
 
Reported: 2011-04-24 21:58 UTC by Jóhann B. Guðmundsson
Modified: 2011-09-30 19:15 UTC (History)
3 users (show)

Fixed In Version: arm4-0.8.2-8.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-30 19:15:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Native systemd service file for arm4 service (171 bytes, text/plain)
2011-04-24 21:58 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2011-04-24 21:58:35 UTC
Created attachment 494570 [details]
Native systemd service file for arm4 service

Description of problem:

The attached file is a native systemd file for upcoming F15 Feature [1]

Please read [2] on how to packaging and installing systemd Service files.

To learn more about Systemd daemon see [3].

To view old SysV with the new Systemd site by site see for your component see [4]

If you have any question dont hesitate to ask them on this bug report.

1.http://fedoraproject.org/wiki/Features/systemd

2.https://fedoraproject.org/wiki/Systemd_Packaging_Draft

3.http://0pointer.de/public/systemd-man/daemon.html

4.https://fedoraproject.org/wiki/User:Johannbg/QA/Systemd/compatability 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jóhann B. Guðmundsson 2011-04-24 21:59:45 UTC
To test this.

Copy the file into /lib/systemd/system/ directory 

Run systemctl daemon-reload

Then run

systemctl start/stop/restart/enable/disable arm4.service

Comment 2 Bill Nottingham 2011-04-26 17:35:48 UTC
Moving systemd service RFEs to rawhide.

At this point, it is not appropriate in the Fedora 15 cycle to add these. Furthermore, at this point, we are still finalizing the packaging guidelines to handle SysV -> systemd upgrades.

We therefore request:
- wait until there are packaging guidelines (this will be announced on the devel list). This ensures that upgrades will work smoothly and we/you won't have to do multiple sets of changes.
- work on these sorts of changes for Fedora 16 where necessary, not Fedora 15, as we're trying to fix things for release.
- do *not* change a service from SysV to systemd in an existing release (such as Fedora 15), as this is the sort of behavior change that goes against our update policy, documented as https://fedoraproject.org/wiki/Updates_Policy

Comment 4 Fedora Update System 2011-09-08 19:58:34 UTC
arm4-0.8.2-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/arm4-0.8.2-7.fc16

Comment 5 Fedora Update System 2011-09-09 15:08:28 UTC
Package arm4-0.8.2-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing arm4-0.8.2-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/arm4-0.8.2-7.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-09-09 16:35:15 UTC
arm4-0.8.2-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/arm4-0.8.2-8.fc16

Comment 7 Fedora Update System 2011-09-30 19:15:52 UTC
arm4-0.8.2-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.